# Conversations

Folder related APIs

## 利用履歴の会話を取得

> 会話リストを取得します。会話はデフォルトで最後のチャット時間を基準に降順で並べ替えられています。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ConversationsResponse":{"properties":{"conversations":{"items":{"$ref":"#/components/schemas/Conversation"},"title":"Conversations","type":"array"},"cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ページネーション用のカーソル","title":"Cursor"}},"required":["conversations","cursor"],"title":"ConversationsResponse","type":"object"},"Conversation":{"properties":{"id":{"description":"会話ID","title":"Id","type":"string"},"title":{"description":"会話のタイトル","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"ユーザー情報"},"createdAt":{"description":"会話作成時間","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"最終チャット時間","title":"Lastchattime"},"isEnd":{"description":"会話の終了状況","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"会話カテゴリー","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話メモ","title":"Memo"},"chats":{"description":"チャット情報","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"合計会話数","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"アプリ情報"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"変数","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"ユーザーID","title":"Userid","type":"string"},"firstName":{"description":"ユーザーの名","title":"Firstname","type":"string"},"lastName":{"description":"ユーザーの姓","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"チャットのユニークID。","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"送信者の種別","title":"Sender","type":"string"},"message":{"description":"チャットメッセージ","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"チャットメッセージ作成時のタイムスタンプ","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"引用情報","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"チャットの評価","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"管理者の評価","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"回答根拠ページのID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用元","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠の文書タイトル","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠のドキュメントID","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"回答根拠ドキュメントのページ番号","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用のURL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用文のテキスト","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"アプリのユニークID","title":"Id","type":"string"},"name":{"description":"アプリの名前","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"アプリの説明","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"}}},"paths":{"/webapi/v2/conversations":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_list_conversations","summary":"利用履歴の会話を取得","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"userIds","schema":{"anyOf":[{"items":{},"type":"array"},{"type":"null"}],"title":"Userids"},"required":false},{"in":"query","name":"llmAppId","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Llmappid"},"required":false},{"in":"query","name":"categoryId","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Categoryid"},"required":false},{"in":"query","name":"startedAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"指定された値以降の最後のチャット時間を検索","title":"Startedat"},"required":false,"description":"指定された値以降の最後のチャット時間を検索"},{"in":"query","name":"endAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"指定された値以前の最後のチャット時間を検索","title":"Endat"},"required":false,"description":"指定された値以前の最後のチャット時間を検索"},{"in":"query","name":"firstChatStartedAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"指定された値以降の最初のチャット時間を検索","title":"Firstchatstartedat"},"required":false,"description":"指定された値以降の最初のチャット時間を検索"},{"in":"query","name":"firstChatEndAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"指定された値以前の最初のチャット時間を検索","title":"Firstchatendat"},"required":false,"description":"指定された値以前の最初のチャット時間を検索"},{"in":"query","name":"searchTerm","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Searchterm"},"required":false},{"in":"query","name":"cursor","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"},"required":false},{"in":"query","name":"variables","schema":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Variables"},"required":false},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":50,"minimum":1,"title":"Pagesize","type":"integer"},"required":false},{"in":"query","name":"activeOnly","schema":{"default":false,"title":"Activeonly","type":"boolean"},"required":false},{"in":"query","name":"backgroundRunning","schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Backgroundrunning"},"required":false},{"in":"query","name":"order","schema":{"allOf":[{"enum":["LAST_CHAT_TIME_DESC","LAST_CHAT_TIME_ASC","FIRST_CHAT_TIME_DESC","FIRST_CHAT_TIME_ASC"],"title":"ConversationListOrderEnum","type":"string"}],"default":"LAST_CHAT_TIME_DESC"},"required":false}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationsResponse"}}}}},"description":"会話リストを取得します。会話はデフォルトで最後のチャット時間を基準に降順で並べ替えられています。","tags":["Conversations"]}}}}
```

## POST /webapi/v2/conversations/bulk\_update

> 会話を更新する

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"SetBulkConversationsRequest":{"properties":{"userIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"フィルタリング対象のユーザーID","title":"Userids"},"llmAppIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"フィルタリング対象のllmアプリID","title":"Llmappids"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"フィルタリング対象のの会話カテゴリID","title":"Categoryids"},"conversationIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"フィルタリング対象の会話ID","title":"Conversationids"},"conversationInfo":{"$ref":"#/components/schemas/ConversationInfoRequest","description":"更新対象となる会話情報"}},"required":["conversationInfo"],"title":"SetBulkConversationsRequest","type":"object"},"ConversationInfoRequest":{"properties":{"state":{"anyOf":[{"$ref":"#/components/schemas/ConversationStateEnum"},{"type":"null"}],"description":"会話の状態"},"assignee":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話の担当者","title":"Assignee"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"カテゴリのID","title":"Categoryids"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話のタイトル","title":"Title"}},"title":"ConversationInfoRequest","type":"object"},"ConversationStateEnum":{"enum":["no","eb","ea","eu","wa","wu","wu2","in","pnd","eo","lck"],"title":"ConversationStateEnum","type":"string"}}},"paths":{"/webapi/v2/conversations/bulk_update":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_set_conversations","summary":"会話を更新する","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"正常に更新されました。"}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetBulkConversationsRequest"}}},"required":true}}}}}
```

## 会話IDから会話内容を取得

> 指定の会話IDに紐づく会話内容を取得します。 取得できるメッセージは、最新の20件までです。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"Conversation":{"properties":{"id":{"description":"会話ID","title":"Id","type":"string"},"title":{"description":"会話のタイトル","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"ユーザー情報"},"createdAt":{"description":"会話作成時間","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"最終チャット時間","title":"Lastchattime"},"isEnd":{"description":"会話の終了状況","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"会話カテゴリー","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話メモ","title":"Memo"},"chats":{"description":"チャット情報","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"合計会話数","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"アプリ情報"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"変数","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"ユーザーID","title":"Userid","type":"string"},"firstName":{"description":"ユーザーの名","title":"Firstname","type":"string"},"lastName":{"description":"ユーザーの姓","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"チャットのユニークID。","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"送信者の種別","title":"Sender","type":"string"},"message":{"description":"チャットメッセージ","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"チャットメッセージ作成時のタイムスタンプ","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"引用情報","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"チャットの評価","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"管理者の評価","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"回答根拠ページのID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用元","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠の文書タイトル","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠のドキュメントID","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"回答根拠ドキュメントのページ番号","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用のURL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用文のテキスト","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"アプリのユニークID","title":"Id","type":"string"},"name":{"description":"アプリの名前","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"アプリの説明","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_by_id","summary":"会話IDから会話内容を取得","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"query","name":"variables","schema":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"取得したい会話の ID","title":"Variables"},"required":false,"description":"取得したい会話の ID"}],"responses":{"200":{"description":"正常に取得しました。","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}}},"description":"指定の会話IDに紐づく会話内容を取得します。 取得できるメッセージは、最新の20件までです。","tags":["Conversations"]}}}}
```

## PATCH /webapi/v2/conversations/{conversation\_id}

> 会話を設定

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"Conversation":{"properties":{"id":{"description":"会話ID","title":"Id","type":"string"},"title":{"description":"会話のタイトル","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"ユーザー情報"},"createdAt":{"description":"会話作成時間","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"最終チャット時間","title":"Lastchattime"},"isEnd":{"description":"会話の終了状況","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"会話カテゴリー","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話メモ","title":"Memo"},"chats":{"description":"チャット情報","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"合計会話数","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"アプリ情報"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"変数","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"ユーザーID","title":"Userid","type":"string"},"firstName":{"description":"ユーザーの名","title":"Firstname","type":"string"},"lastName":{"description":"ユーザーの姓","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"チャットのユニークID。","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"送信者の種別","title":"Sender","type":"string"},"message":{"description":"チャットメッセージ","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"チャットメッセージ作成時のタイムスタンプ","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"引用情報","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"チャットの評価","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"管理者の評価","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"回答根拠ページのID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用元","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠の文書タイトル","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠のドキュメントID","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"回答根拠ドキュメントのページ番号","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用のURL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用文のテキスト","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"アプリのユニークID","title":"Id","type":"string"},"name":{"description":"アプリの名前","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"アプリの説明","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"},"ConversationInfoRequest":{"properties":{"state":{"anyOf":[{"$ref":"#/components/schemas/ConversationStateEnum"},{"type":"null"}],"description":"会話の状態"},"assignee":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話の担当者","title":"Assignee"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"カテゴリのID","title":"Categoryids"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話のタイトル","title":"Title"}},"title":"ConversationInfoRequest","type":"object"},"ConversationStateEnum":{"enum":["no","eb","ea","eu","wa","wu","wu2","in","pnd","eo","lck"],"title":"ConversationStateEnum","type":"string"}}},"paths":{"/webapi/v2/conversations/{conversation_id}":{"patch":{"operationId":"django_server_llm_app_views_rest_conversation_api_set_conversation","summary":"会話を設定","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"正常に設定されました。","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationInfoRequest"}}},"required":true}}}}}
```

## 会話内のチャットの一覧を取得する

> 会話内のチャットの一覧を取得します。チャットはタイムスタンプによって昇順に並べ替えられています。\
> \
> \
> \
> チャットページのサイズは100です。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ChatsResponse":{"properties":{"chats":{"items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"pageNo":{"title":"Pageno","type":"integer"},"totalCount":{"title":"Totalcount","type":"integer"}},"required":["chats","pageNo","totalCount"],"title":"ChatsResponse","type":"object"},"Chat":{"properties":{"id":{"description":"チャットのユニークID。","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"送信者の種別","title":"Sender","type":"string"},"message":{"description":"チャットメッセージ","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"チャットメッセージ作成時のタイムスタンプ","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"引用情報","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"チャットの評価","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"管理者の評価","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"回答根拠ページのID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用元","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠の文書タイトル","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠のドキュメントID","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"回答根拠ドキュメントのページ番号","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用のURL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用文のテキスト","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_list_conversation_chats","summary":"会話内のチャットの一覧を取得する","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"query","name":"pageNo","schema":{"default":1,"minimum":1,"title":"Pageno","type":"integer"},"required":false}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatsResponse"}}}}},"description":"会話内のチャットの一覧を取得します。チャットはタイムスタンプによって昇順に並べ替えられています。\n\n\n\nチャットページのサイズは100です。","tags":["Conversations"]}}}}
```

## GET /webapi/v2/conversations/{conversation\_id}/running

> 会話IDで会話の状態を取得

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ConversationRunningStatusResponse":{"properties":{"isRunning":{"description":"バックグラウンド実行ステータス","title":"Isrunning","type":"boolean"}},"required":["isRunning"],"title":"ConversationRunningStatusResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/running":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_state_by_id","summary":"会話IDで会話の状態を取得","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"正常に取得しました。","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationRunningStatusResponse"}}}}},"tags":["Conversations"]}}}}
```

## 会話を終了する

> 進行中の会話を終了する。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/stop":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_stop_conversation","summary":"会話を終了する","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"正常に完了しました。"}},"description":"進行中の会話を終了する。","tags":["Conversations"]}}}}
```

## Get Conversation Chat By Id

> Get a specific chat by ID from a conversation.\
> \
> This API is useful for verifying the message content after a streaming response from run\_apps API.\
> The response includes detailed chat information compatible with LLMResponse.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ChatDetail":{"description":"Detailed chat information compatible with LLMResponse for run_apps API response verification.\n\nExtends Chat with additional fields for verifying streaming responses from run_apps API.","properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"},"intermediateSteps":{"anyOf":[{"items":{"$ref":"#/components/schemas/IntermediateStepResponse"},"type":"array"},{"type":"null"}],"description":"Intermediate steps during chat generation","title":"Intermediatesteps"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"ChatDetail","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"回答根拠ページのID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用元","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠の文書タイトル","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠のドキュメントID","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"回答根拠ドキュメントのページ番号","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用のURL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用文のテキスト","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"IntermediateStepResponse":{"description":"Intermediate step information for chat generation progress.","properties":{"key":{"description":"Unique key for the step","title":"Key","type":"string"},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Timestamp when the step was created","title":"Createdat"},"completed":{"description":"Whether the step is completed","title":"Completed","type":"boolean"},"statusMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Status message for the step","title":"Statusmessage"},"markdownMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Markdown formatted message for the step","title":"Markdownmessage"}},"required":["key","completed"],"title":"IntermediateStepResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_chat_by_id","summary":"Get Conversation Chat By Id","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatDetail"}}}}},"description":"Get a specific chat by ID from a conversation.\n\nThis API is useful for verifying the message content after a streaming response from run_apps API.\nThe response includes detailed chat information compatible with LLMResponse.","tags":["Conversations"]}}}}
```

## DELETE /webapi/v2/conversations/{conversation\_id}/chats/{chat\_id}

> IDで会話チャットを削除

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_api_delete_conversation_chat_by_id","summary":"IDで会話チャットを削除","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"成功"}},"tags":["Conversations"]}}}}
```

## 会話のタイトルを更新

> 会話のタイトルを設定します。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"Conversation":{"properties":{"id":{"description":"会話ID","title":"Id","type":"string"},"title":{"description":"会話のタイトル","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"ユーザー情報"},"createdAt":{"description":"会話作成時間","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"最終チャット時間","title":"Lastchattime"},"isEnd":{"description":"会話の終了状況","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"会話カテゴリー","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"会話メモ","title":"Memo"},"chats":{"description":"チャット情報","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"合計会話数","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"アプリ情報"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"変数","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"ユーザーID","title":"Userid","type":"string"},"firstName":{"description":"ユーザーの名","title":"Firstname","type":"string"},"lastName":{"description":"ユーザーの姓","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"チャットのユニークID。","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"送信者の種別","title":"Sender","type":"string"},"message":{"description":"チャットメッセージ","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"チャットメッセージ作成時のタイムスタンプ","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"引用情報","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"チャットの評価","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"管理者の評価","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"回答根拠ページのID","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用元","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠の文書タイトル","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"回答根拠のドキュメントID","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"回答根拠ドキュメントのページ番号","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用のURL","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"引用文のテキスト","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"アプリのユニークID","title":"Id","type":"string"},"name":{"description":"アプリの名前","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"アプリの説明","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"},"SetConversationTitleRequest":{"properties":{"title":{"description":"会話のタイトル。","title":"Title","type":"string"}},"required":["title"],"title":"SetConversationTitleRequest","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/title":{"put":{"operationId":"django_server_llm_app_views_rest_conversation_api_update_conversation_title","summary":"会話のタイトルを更新","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}}},"description":"会話のタイトルを設定します。","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetConversationTitleRequest"}}},"required":true}}}}}
```

## POST /webapi/v2/conversations/{conversation\_id}/chats/{chat\_id}/feedback

> フィードバックを投稿する

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"FeedbackResponse":{"properties":{"conversationId":{"title":"Conversationid","type":"string"},"chatId":{"title":"Chatid","type":"string"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Rating"}},"required":["conversationId","chatId"],"title":"FeedbackResponse","type":"object"},"FeedbackRequest":{"properties":{"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"チャットの評価","title":"Rating"},"feedbackSelection":{"anyOf":[{"items":{"$ref":"#/components/schemas/UserAnswerFeedbackSelection"},"type":"array"},{"type":"null"}],"description":"フィードバック選択","title":"Feedbackselection"},"suggestedAnswer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"提案された回答","title":"Suggestedanswer"}},"title":"FeedbackRequest","type":"object"},"UserAnswerFeedbackSelection":{"enum":["not_relevant","inaccurate","not_best_answer","wrong_intent","too_slow","low_quality","etc"],"title":"UserAnswerFeedbackSelection","type":"string"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}/feedback":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_post_feedbacks","summary":"フィードバックを投稿する","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackResponse"}}}}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRequest"}}},"required":true}}}}}
```

## GET /webapi/v2/conversation\_categories

> 会話カテゴリーの一覧を出力する

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ConversationCategoriesResponse":{"properties":{"categories":{"items":{"$ref":"#/components/schemas/ConversationCategoryResponse"},"title":"Categories","type":"array"}},"required":["categories"],"title":"ConversationCategoriesResponse","type":"object"},"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"カテゴリID","title":"Categoryid","type":"string"},"name":{"description":"カテゴリー名","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_list_conversation_categories","summary":"会話カテゴリーの一覧を出力する","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"正常に出力されました。","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoriesResponse"}}}}},"tags":["Conversations"]}}}}
```

## POST /webapi/v2/conversation\_categories

> 会話カテゴリを作成する

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"カテゴリID","title":"Categoryid","type":"string"},"name":{"description":"カテゴリー名","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"},"CreateConversationCategoryRequest":{"properties":{"name":{"title":"Name","type":"string"}},"required":["name"],"title":"CreateConversationCategoryRequest","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_create_conversation_category","summary":"会話カテゴリを作成する","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"正常に作成されました。","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoryResponse"}}}}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConversationCategoryRequest"}}},"required":true}}}}}
```

## DELETE /webapi/v2/conversation\_categories/{conversation\_category\_id}

> 会話カテゴリーを削除

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/v2/conversation_categories/{conversation_category_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_delete_conversation_category","summary":"会話カテゴリーを削除","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_category_id","schema":{"title":"Conversation Category Id","type":"string"},"required":true}],"responses":{"200":{"description":"会話カテゴリーが正常に削除されました。"}},"tags":["Conversations"]}}}}
```

## チャット補完

> 検索を行わずLLMを直接呼び出します。\
> \
> MallyのLLMインフラ（モデルルーティング、課金）を経由します。\
> 'mode'フィールドで同期モードとストリーミングモードの両方に対応します。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}},"schemas":{"ChatCompletionsRequest":{"properties":{"messages":{"description":"Conversation messages","items":{"$ref":"#/components/schemas/ChatMessage"},"title":"Messages","type":"array"},"model":{"default":"gpt4_o","description":"LLM model name (Mally internal name)","title":"Model","type":"string"},"temperature":{"default":0.3,"description":"Sampling temperature","title":"Temperature","type":"number"},"mode":{"default":"sync","description":"sync or stream","enum":["sync","stream"],"title":"Mode","type":"string"},"max_tokens":{"default":2048,"description":"Max completion tokens","title":"Max Tokens","type":"integer"}},"required":["messages"],"title":"ChatCompletionsRequest","type":"object"},"ChatMessage":{"properties":{"role":{"description":"Role: system, developer, user, assistant","enum":["system","developer","assistant","user"],"title":"Role","type":"string"},"content":{"description":"Message content","title":"Content","type":"string"}},"required":["role","content"],"title":"ChatMessage","type":"object"}}},"paths":{"/webapi/v2/chat/completions":{"post":{"operationId":"django_server_llm_app_views_rest_chat_completions_api_chat_completions","summary":"チャット補完","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK"}},"description":"検索を行わずLLMを直接呼び出します。\n\nMallyのLLMインフラ（モデルルーティング、課金）を経由します。\n'mode'フィールドで同期モードとストリーミングモードの両方に対応します。","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatCompletionsRequest"}}},"required":true}}}}}
```

## 毎日の会話数

> 指定した範囲の1日あたりの会話の総数を取得します。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Folder related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/conversation_daily_count":{"get":{"tags":["Conversations"],"operationId":"conversationDailyCount","summary":"毎日の会話数","description":"指定した範囲の1日あたりの会話の総数を取得します。","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"startDate":{"type":"string","description":"開始日をYYYY-MM-DD形式で範囲指定"},"endDate":{"type":"string","description":"終了日を YYYY-MM-DD 形式で範囲指定します。"}}}}}},"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"dailyTotalCount":{"type":"array","description":"日付と会話の数のペアの一覧","items":{"type":"object","properties":{"date":{"type":"string","description":"YYYY-MM-DD形式の日付"},"activeCount":{"type":"integer","description":"この日の会話数"}}}},"state":{"type":"string","description":"リクエストの状態"},"campaignCount":{"type":"integer","description":"キャンペーンの数"}}},"errors":{"type":"object","nullable":true}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.allganize.ai/api-reference/ja-1/conversations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
